local BattleFuncSet = false

addHook("ThinkFrame",function()
	if (BattleFuncSet) or not(CBW_Battle and CBW_Battle.SkinVars) then return end
	BattleFuncSet = true
	
	local PriorityFunction = function(player)
		if player.whirlram then
			CBW_Battle.SetPriority(player,1,2,nil,nil,nil,"ram charge")
		elseif (player.whirltornadojump == 1) then
			CBW_Battle.SetPriority(player,1,2,nil,nil,nil,"propeller spin")
		elseif (player.whirltornadojump == 2) then
			CBW_Battle.SetPriority(player,1,2,nil,nil,nil,"propeller drill")
		elseif groundnuke then
			CBW_Battle.SetPriority(player,1,2,nil,nil,nil,"ground splash")
		end
	end
	
	CBW_Battle.SkinVars["whirl"] = {
 		weight = 110,
 		shields = 1,
		special = nil,
 		guard_enabled = true,
 		guard_frame = 2,
 		func_guard_trigger = CBW_Battle.GuardFunc.Parry,
 		func_priority = CBW_Battle.Priority_FullCommon,
 		func_priority_ext = PriorityFunction
	}
	
	print("Whirl BattleMod functions have been loaded.")
end)
print("\n\132    /##\\\n\132   /####\\\n\132  /##/\\##\\\n\132 /##/  \\##\\\n\132/##/    \\##\\\n\132###      ###\n\132###      ###\n\132###      ###\n\132\\##\\    /##/\n\132 \\##\\  /##/\n\132  \\##\\/##/\n\132   \\####/\n\132    \\##/\n\n\130Dirk Characters v1.2\n")